# real start is commented out, to prevent unintentional spoiling of 
# a possible running measurement

H=`date "+%-H"`
M=`date "+%-M"`
S=`date "+%-S"`

if (( $H \> 11 ))
then
 RS=`calc -d "(36*3600 - 25 - (3600*$H + 60*$M + $S))"`
else
 RS=`calc -d "(12*3600 - 25 - (3600*$H + 60*$M + $S))"`
fi 

echo $RS

D=night5

echo $D 

#/home/hollan/x/multimet_v.4.4s -6  -T $RS -o $D.txt &
#sleep 5

# sleep is needed to get night5.txt created

HH=`sed -rn '1{s/.* ([0-2][0-9]):([0-9]{2}):([0-9]{2}) .*/\1/p}' $D.txt`
MM=`sed -rn '1{s/.* ([0-2][0-9]):([0-9]{2}):([0-9]{2}) .*/\2/p}' $D.txt`
SS=`sed -rn '1{s/.* ([0-2][0-9]):([0-9]{2}):([0-9]{2}) .*/\3/p}' $D.txt`


for F in night_mpw.gnp night.gnp night_ms.gnp night_m.gnp 
do
 sed -r "s/^U =.*/U = $HH*3600 + $MM*60 + $SS/" $F > ${F}.gn
 mv ${F}.gn $F
done

